Name:		fityk
Summary:	Non-linear curve fitting and data analysis
Version:	0.8.1
Release:	14%{?dist}

Source0:	http://downloads.sourceforge.net/fityk/%{name}-%{version}.tar.bz2
URL:		http://fityk.sourceforge.net/
License:	GPLv2
Group:		Applications/Engineering
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:		%{name}-gcc43.patch

BuildRequires:	gcc-c++, readline-devel, ncurses-devel, desktop-file-utils
%if 0%{?mandriva_version}
BuildRequires: libwxgtk2.6-devel
%else
BuildRequires: wxGTK-devel
%endif

Requires:	gnuplot

%description
Fityk is a program for nonlinear curve-fitting of analytical
functions (especially peak-shaped) to data (usually experimental
data). It can also be used for visualization of x-y data only.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs that make
use of %{name}, you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1

%build
%configure CPPFLAGS="-DNDEBUG" %{?__cc:CC="%__cc"} %{?__cxx:CXX="%__cxx"}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{?__cc:CC="%__cc"} %{?__cxx:CXX="%__cxx"} make %{?_smp_mflags}
										
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install

# tom says we don't want .la files in RPMs:
rm %{buildroot}/%{_libdir}/*.la

# fix wrong file permissions on dirs to be used in %doc
chmod 755 samples
chmod 755 doc/fitykhelp_img

# install the application icon
install -p -m644 -D %{name}.png %{buildroot}/%{_datadir}/icons/%{name}.png
rm %{buildroot}/%{_datadir}/pixmaps/%{name}.png

# install the correctly-named tipes file
install -p -m644 -D src/wxgui/tips.txt %{buildroot}/%{_datadir}/%{name}/fityk_tips.txt
rm %{buildroot}/%{_datadir}/%{name}/tips.txt

# Fix up the included desktop file
sed -i 's/False/false/g' fityk.desktop
sed -i 's/Icon=fityk/Icon=fityk.png/g' fityk.desktop

# Get rid of the broken one that fityk was nice enough to install for us.
rm -rf %{buildroot}%{_datadir}/applications/fityk.desktop

# Install the fixed one.
desktop-file-install --vendor="fedora" \
--dir=%{buildroot}%{_datadir}/applications %{name}.desktop

# we include directories in %%doc, but we don't want Makefiles there
rm -f samples/Makefile* doc/fitykhelp_img/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
/sbin/ldconfig 2>/dev/null

%postun
update-desktop-database &> /dev/null || :
/sbin/ldconfig 2>/dev/null

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
# Makefile*s from samples/ and doc/fitykhelp_img/ were removed above
%doc samples/ 
%doc doc/
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_libdir}/*.so.*
%{_mandir}/man1/%{name}.*
%{_datadir}/icons/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.1-14
- fix license tag

* Mon Apr 07 2008 Jesse Keating <jkeating@redhat.com> - 0.8.1-13
- Patch for GCC 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.1-11
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.8.1-10
- Rebuild for selinux ppc32 issue.

* Thu Jul 19 2007 John Pye <john@curioussymbols.com> 0.8.1-9
- First import to Fedora package management system

* Sun Jun 24 2007 John Pye <john.pye@anu.edu.au> 0.8.1-8
- Remove 'INSTALL'
- Remove 'tips.txt', kepts 'fityk_tips.txt'

* Sun Jun 24 2007 John Pye <john.pye@anu.edu.au> 0.8.1-7
- Taking suggestions from Mamoru Tasaka:
- Removing unneeded install steps
- Removing "LDFLAGS='-s'"; can't recall why it was there...
- Fixing timestamps with 'install -p'
- Remove mime-database update

* Sun Jun 24 2007 John Pye <john.pye@anu.edu.au> 0.8.1-6
- fixing for build on Mandrive 2006
- added missing dependencies following testing on openSUSE Build Service

* Mon May 07 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.1-5
- minor spec file cleanups (drop %%{vendor})
- fix up the included desktop file, get rid of the broken one
- get rid of rpath with libtool override

* Sun May 06 2007 John Pye <john.pye@anu.edu.au> 0.8.1-4
- Fixed file 02755 file permissions

* Wed May 02 2007 John Pye <john.pye@anu.edu.au> 0.8.1-3
- Separated -devel files into new package
- Added ldconfig lines
- Remove Makefiles from doc dirs.

* Tue May 01 2007 John Pye <john.pye@anu.edu.au> 0.8.1-2
- Corrected according to suggestions from Comrade Tom Callaway:
- makeinstall macro removed and replaced with 'make DESTDIR='
- _smp_mflags added
- removed .la file
- use of ccache is now conditional only
- removed runtime deps that will be autodetected
- removed unnecc buildtime deps

* Fri Apr 27 2007 John Pye <john.pye@anu.edu.au> 0.8.1-1
- Using .desktop file from the tarball
- Updating to new icon given in the tarball
- Fix _mandir
- Wildcard on .so.0.*
- Got rid of CVS file purge
- Install fityk_tips.txt

* Fri Apr 27 2007 John Pye <john.pye@anu.edu.au> 0.8.1-0
- 0.8.1
- Converted to Fedora

* Thu Jul 1 2004 Austin Acton <austin@mandrake.org> 0.4.2-1mdk
- 0.4.2

* Wed Jun 16 2004 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- 0.4.1
- configure 2.5
- new menu

# -*- coding: UTF-8 -*-
